Smart Proxy - Bug #3995

pending certificates don't get deleted with puppet 3.x
01/11/2014 12:44 AM - Anonymous

Status: Rejected
Priority: Normal
Assignee:

Category: Puppet
Target version:

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Puppet 2.7: puppetca --clean <fqdn>
Puppet 3.0: puppet ca destroy <fqdn>, while puppet ca clean <fqdn> does not work for CSRs

Related issues:

Related to Smart Proxy - Feature #19066: Use Puppetserver's CA APl instead of... Duplicate

Has duplicate Foreman - Bug #14304: Delete a certificate that what not alread... Duplicate 03/21/2016
Has duplicate Foreman - Bug #14543: PupeptCA Smart Proxy should "rm" certific... Duplicate 04/08/2016
History

#1 - 01/11/2014 09:58 PM - Anonymous
With Puppet 3.4.2:

# puppet cert list
"tmptst" (SHA256) C4:92:8B:FE:80:4B:BA:B3:D8:17:AA:FD:15:83:FA:55:D5:99:BF:78:2A:B0:86:18:69:F0:53:9A:CE:2A:
D1:9F
# puppet cert clean tmptst
Error: Could not find a serial number for tmptst
# puppet ca destroy tmptst
Notice: Removing file Puppet::SSL::CertificateRequest tmptst at '/var/lib/puppet/ssl/ca/requests/tmptst.pem'
# puppet ca destroy tmptst.test.xxx.de
Notice: Removing file Puppet::SSL::Certificate tmptst.test.xxx.de at '/var/lib/puppet/ssl/ca/signed/tmptst.tes
t.xxx.de.pem'
Deleted for tmptst.test.xxx.de: Puppet::SSL::Certificate
# puppet cert clean tmptst.test.xxx.de
Notice: Revoked certificate with serial 6

#2 - 11/04/2014 05:30 AM - cristian falcas

| was wondering if this issue will be fixed any time soon. It will be nice to delete pending certificates from foreman.

#3 - 11/04/2014 06:21 PM - Anonymous

I'll have a look at that, as soon as | have more time. If it's a big problem for you, please yell and | try to find somebody else.

#4 - 11/10/2014 05:42 AM - Anonymous

My inital description was wrong, here the correct one:

Puppet 2.7: puppetca --clean <fgdn>
Puppet 3.0: puppet ca destroy <fgdn>, while puppet cert clean <fgdn> does not work for CSRs

#5 - 11/10/2014 05:42 AM - Anonymous

Puppet Issue: https://tickets.puppetlabs.com/browse/PUP-1916

#6 - 03/22/2016 04:09 AM - Dominic Cleal
- Has duplicate Bug #14304: Delete a certificate that what not already signed added

#7 - 04/01/2016 12:45 PM - Alex Fisher

| bumped into this too whilst testing the smart proxy with puppet 4 (which needs a couple of small mods to work BTW).

D, [2016-04-01T17:14:22.445450
D, [2016-04-01T17:14:22.447119
D, [2016-04-01T17:14:22.448015
["hostl.example.com",

D, [2016-04-01T17:14:22.448367
D, [2016-04-01T17:14:22.448461
D, [2016-04-01T17:14:22.448516

#12164] DEBUG —-
#12164] DEBUG —-—
#12164] DEBUG --

accept: 10.160.248.69:40418
Rack::Handler::WEBrick is invoked.
verifying remote client 10.160.248.69 against trusted_hosts

"host2.example.com"]

#12164] DEBUG —-—
#12164] DEBUG -- :
#12164] DEBUG —- :

Found puppetca at /opt/puppetlabs/bin/puppet
Found sudo at /usr/bin/sudo
Executing /usr/bin/sudo -S /opt/puppetlabs/bin/puppet cert -

-ssldir /etc/puppetlabs/puppet/ssl —--clean host.dmz.local

I, [2016-04-01T17:14:24.164223
z.local
E, [2016-04-01T17:14:24.164510
z.local
D, [2016-04-01T17:14:24.164560
z.local
I, [2016-04-01T17:14:24.164864
et/ca/host.dmz.local HTTP/1.1"

puppet cert clean certname

#12164] INFO —-— Attempt to remove nonexistent client certificate for host.dm

#12164] ERROR —— Attempt to remove nonexistent client certificate for host.dm
#12164] DEBUG --— Attempt to remove nonexistent client certificate for host.dm

#12164] INFO —-
404 68 1.7171

10.160.248.69 - - [01/Apr/2016:17:14:24 +0100] "DELETE /pupp

won't remove unsigned certificate requests.

but

puppet ca destroy certname

does.

I'm not sure what versions of puppet support that command though.

#8 - 04/08/2016 05:02 AM - Dominic Cleal
- Has duplicate Bug #14543: PupeptCA Smart Proxy should "rm" certificate request files added

#9 - 04/27/2016 10:39 AM - Alex Fisher

I'm confused as to what version of puppet | actually tested 'puppet ca destroy' in...
Apparently not a version of puppet 4 though.
As https://tickets.puppetlabs.com/browse/PUP-6179 has only just been fixed.

Either way, in puppet 4.4.2 'puppet ca destroy' can be used successfully.

[root@devops0l ~]# puppet —--version
4.4.2
[root@devops0l ~]# puppet cert list
"devops02.example.com" (SHA256) 19:47:28:8C:E9:D6:CF:49:50:31:00:CF:C4:94:E6:7E:F6:F8:65:F4:2C:B7:62:E5:0A:E

4:12:EF:88:6A:D6:75

[root@devopsO0l ~]# puppet cert
Error: Could not find a serial
[root@devopsO0l ~]# puppet cert

Error: Could not find a serial

destroy "devops02.example.com"
number for devops02.example.com
clean "devops02.example.com"
number for devops02.example.com

[root@devops0l ~]# puppet ca destroy "devops02.example.com"

Notice:

Removing file Puppet::SSL::CertificateRequest devops02.example.com at

'/etc/puppetlabs/puppet/ssl/ca/r

equests/devops02.example.com.pem'
Deleted for devops02.example.com: Puppet::SSL::CertificateRequest

[root@devopsO0l ~]# puppet cert
[root@devops01 ~]#

list

#10 - 03/29/2017 05:26 AM - Anonymous
- Related to Feature #19066: Use Puppetserver's CA APl instead of CLI commands added

#11 - 06/05/2019 08:07 PM - Anonymous

- Assignee deleted (Anonymous)

#12 - 06/06/2019 02:20 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Rejected

This can be closed given we're going to drop Puppet 3 and it works with newer versions.

05/10/2024

22


https://tickets.puppetlabs.com/browse/PUP-6179
http://www.tcpdf.org

